import { __extends } from "tslib";
import { IgrToolAction } from "./igr-tool-action";
import { ToolActionRadio } from "./ToolActionRadio";
import { ensureBool } from "igniteui-react-core";
var IgrToolActionRadio = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(IgrToolActionRadio, _super);
    function IgrToolActionRadio(props) {
        return _super.call(this, props) || this;
    }
    IgrToolActionRadio.prototype.createImplementation = function () {
        return new ToolActionRadio();
    };
    Object.defineProperty(IgrToolActionRadio.prototype, "i", {
        /**
                                     * @hidden
                                     */
        get: function () {
            return this._implementation;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrToolActionRadio.prototype, "channel", {
        /**
         * Gets or sets the channel this radio button belongs to.
        */
        get: function () {
            return this.i.fa;
        },
        set: function (v) {
            this.i.fa = v;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(IgrToolActionRadio.prototype, "isChecked", {
        /**
         * Gets or sets if the tool action is checked.
        */
        get: function () {
            return this.i.e8;
        },
        set: function (v) {
            this.i.e8 = ensureBool(v);
        },
        enumerable: false,
        configurable: true
    });
    IgrToolActionRadio.prototype.fromInfo = function (info) {
        this.i.dt(info);
    };
    return IgrToolActionRadio;
}(IgrToolAction));
export { IgrToolActionRadio };
