import { IgrToolAction, IIgrToolActionProps } from "./igr-tool-action";
import { ToolActionNumberInput } from "./ToolActionNumberInput";
import { ToolActionInfo } from "igniteui-react-core";
export declare class IgrToolActionNumberInput extends IgrToolAction<IIgrToolActionNumberInputProps> {
    protected createImplementation(): ToolActionNumberInput;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionNumberInput;
    constructor(props: IIgrToolActionNumberInputProps);
    /**
     * Gets or sets the value for the input.
    */
    get value(): number;
    set value(v: number);
    fromInfo(info: ToolActionInfo): void;
}
export interface IIgrToolActionNumberInputProps extends IIgrToolActionProps {
    /**
     * Gets or sets the value for the input.
    */
    value?: number | string;
}
