import { ListPanelItemModel as ListPanelItemModel_internal } from "./ListPanelItemModel";
import { ensureBool } from "igniteui-react-core";
export class IgrListPanelItemModel {
    createImplementation() {
        return new ListPanelItemModel_internal();
    }
    /**
     * @hidden
     */
    get i() {
        return this._implementation;
    }
    onImplementationCreated() {
    }
    constructor() {
        this.mounted = false;
        this._implementation = this.createImplementation();
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    _provideImplementation(i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
        if (this._initializeAdapters) {
            this._initializeAdapters();
        }
    }
    get dataRow() {
        return this.i.m;
    }
    set dataRow(v) {
        this.i.m = +v;
    }
    get rowHeight() {
        return this.i.k;
    }
    set rowHeight(v) {
        this.i.k = +v;
    }
    get rowObject() {
        return this.i.o;
    }
    set rowObject(v) {
        this.i.o = v;
    }
    get isModelDirty() {
        return this.i.f;
    }
    set isModelDirty(v) {
        this.i.f = ensureBool(v);
    }
    findByName(name) {
        if (this.findEphemera) {
            if (name && name.indexOf("@@e:") == 0) {
                return this.findEphemera(name);
            }
        }
        return null;
    }
}
