import { IgrToolAction, IIgrToolActionProps } from "./igr-tool-action";
import { ToolActionCheckbox } from "./ToolActionCheckbox";
import { ToolActionInfo } from "igniteui-react-core";
export declare class IgrToolActionCheckbox extends IgrToolAction<IIgrToolActionCheckboxProps> {
    protected createImplementation(): ToolActionCheckbox;
    /**
                                 * @hidden
                                 */
    get i(): ToolActionCheckbox;
    constructor(props: IIgrToolActionCheckboxProps);
    /**
     * Gets or sets if the tool action is checked.
    */
    get isChecked(): boolean;
    set isChecked(v: boolean);
    fromInfo(info: ToolActionInfo): void;
}
export interface IIgrToolActionCheckboxProps extends IIgrToolActionProps {
    /**
     * Gets or sets if the tool action is checked.
    */
    isChecked?: boolean | string;
}
